.card {
  background: #fff;
  border-radius: 0.25rem;
  padding: 1rem;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.14),
    0px 1px 3px rgba(0, 0, 0, 0.2), 0px 1px 1px rgba(0, 0, 0, 0.12);
  margin: 0 auto;
  max-width: 50rem;
  margin-bottom: 1rem;
  position: relative;
  cursor: pointer;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.status {
  margin: 0;
  font-size: 0.875rem;
  background: rgba(27, 191, 96, 0.1);
  color: #0d5f30;
  line-height: 1;
  padding: 0.3125rem 0.5rem;
  display: inline-block;
  border-radius: 0.25rem;
  font-weight: 700;
}

.buyer {
  margin: 0;
  font-weight: 600;
  font-size: 1.125rem;
}

.orderNumber {
  font-size: 0.875rem;
  display: inline-block;
  margin-left: 0.25rem
}

.detailsSm {
  display: none;
  margin: 0;
  color: #777;
  margin-top: 0.5rem;
  font-size: 0.875rem;
}

.detailsLg {
  margin: 0;
  display: flex;
  margin-top: 1rem;
}

.detail dt,
.detail dd {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  word-break: break-all;
}

.detail dt {
  font-weight: 500;
  font-size: 0.75rem;
  line-height: 1;
  color: #aaa;
  margin-bottom: 0.25rem;
}

.detail dd {
  margin: 0;
  font-weight: 500;
  font-size: 0.875rem;
  line-height: 1.25;
  color: #777;
}

.detail {
  margin-right: 2rem;
}

.dueDate {
  composes: detail;
  min-width: 3rem;
  text-transform: capitalize;
}

.items {
  composes: detail;
  min-width: 2.5rem;
}

.invoice {
  composes: detail;
  min-width: 4rem;
}

.courier,
.reference {
  composes: detail;
  max-width: fit-content;
  overflow: hidden;
}

.notes {
  composes: detail;
  flex: 1;
  overflow: hidden;
  margin-right: 0;
  padding-right: 2.5rem;
}

.menu {
  border: 0;
  padding: 0;
  background: none;
  padding: 0.25rem;
  display: inline-flex;
  border-radius: 50%;
  position: absolute;
  right: 0.75rem;
  bottom: 0.5rem;
  cursor: pointer;
  color: #777;
}

.menu:hover {
  color: #212121;
  background: #E0E0E0;
}
.menu svg {
  fill: currentColor;
}

@media (max-width: 50rem) {
  .detailsLg {
    flex-wrap: wrap;
  }
  .buyer {
    margin-right: 0.5rem;
  }
  .detail {
    margin-right: 1.5rem;
  }
  .notes {
    min-width: 100%;
    margin-top: 1rem;
  }
  .notes dt {
    display: none;
  }
  .courier,
  .reference {
    flex: 1;
    min-width: 0;
  }
  .reference {
    margin-right: 0;
  }
  .notes {
    width: 100%;
    min-width: 100%;
  }
}

@media (max-width: 30rem) {
  .detailsLg {
    display: none;
  }
  .detailsSm {
    display: block;
  }
  .buyer {
    font-size: 1rem
  }
  .status {
    font-size: 0.75rem;
    padding: 0.25rem;
  }
}
